#include <bits/stdc++.h>
using namespace std;
#define MOD 1000000007  //10e9+7
int n, m;//numbers of cities and both-way roads
int u[1000010], v[1000010];
int main() {
    freopen("barrack.in", "r", stdin);
    freopen("barrack.out", "w", stdout);
    cin >> n >> m;
    for(int i=1; i<=m; ++i) {
        cin >> u[i] >> v[i];
    }
    return 0;
}